Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink
Class DefaultImplementationForgeneralPractitioner

    java.lang.Object
      be.ehealth.businessconnector.therlink.DefaultImplementationForgeneralPractitioner

    public final class DefaultImplementationForgeneralPractitioner

extends Object

default implementations for most common use cases for GP ( general physician ).

Method Summary
`static PutTherapeuticLinkRequest` | `createDefaultTherapeuticLinkWithEidReading()` Creates a new `PutTherapeuticLinkRequest`, it will use the info from the patients eid card and the enduser in the current session.
`static PutTherapeuticLinkRequest` | `createDefaultTherapeuticLinkWithEidSigning()` Creates a new `PutTherapeuticLinkRequest`, it will use the info from the patients eid card and the enduser in the current session.
`static PutTherapeuticLinkRequest` | `createDefaultTherapeuticLinkWithIsiReading(Patient patient)` Creates a new `PutTherapeuticLinkRequest`, it will use the info from the enduser in the current session.
`static PutTherapeuticLinkRequest` | `createDefaultTherapeuticLinkWithSisReading(Patient patient)` Creates a new `PutTherapeuticLinkRequest`, it will use the info from the enduser in the current session.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createDefaultTherapeuticLinkWithEidReading

    public static PutTherapeuticLinkRequest createDefaultTherapeuticLinkWithEidReading()
                                                                                throws TechnicalConnectorException,
                                                                                       TherLinkBusinessConnectorException,
                                                                                       InstantiationException

  Creates a new `PutTherapeuticLinkRequest`, it will use the info from the patients eid card and the enduser in the current session. It requires an active session and an inserted eid card from the patient. default link type is gpconsultation default patient info are read from current active eID default hcParty info are read from current active session default start date is current date the end date will be calculated by the webservice depending on the current business rules. the proof will be build with eid reading

  Returns:
    `PutTherapeuticLinkRequest`
  Throws:
    `TechnicalConnectorException` - if there is a technical error
    `TherLinkBusinessConnectorException` - if there is a therapeutic link specific business error
    `InstantiationException` - if the config could not be read correctly

### createDefaultTherapeuticLinkWithEidSigning

    public static PutTherapeuticLinkRequest createDefaultTherapeuticLinkWithEidSigning()
                                                                                throws TechnicalConnectorException,
                                                                                       TherLinkBusinessConnectorException,
                                                                                       InstantiationException

  Creates a new `PutTherapeuticLinkRequest`, it will use the info from the patients eid card and the enduser in the current session. It requires an active session and an inserted eid card from the patient. the patient will be asked to give his pin code. default link type is gpconsultation default patient info are read from current active eID default hcParty info are read from current active session default start date is current date the end date will be calculated by the webservice depending on the current business rules. the proof will be build with eid signing

  Returns:
    `PutTherapeuticLinkRequest`
  Throws:
    `TechnicalConnectorException` - if there is a technical error
    `TherLinkBusinessConnectorException` - if there is a therapeutic link specific business error
    `InstantiationException` - if the config could not be read correctly

### createDefaultTherapeuticLinkWithSisReading

    public static PutTherapeuticLinkRequest createDefaultTherapeuticLinkWithSisReading(Patient patient)
                                                                                throws TherLinkBusinessConnectorException,
                                                                                       TechnicalConnectorException,
                                                                                       InstantiationException

  Creates a new `PutTherapeuticLinkRequest`, it will use the info from the enduser in the current session. It requires an active session. you will need to provide a patient object with a filled niss number and sis card number. default link type is gpconsultation default hcParty info are read from current active session default start date is current date the end date will be calculated by the webservice depending on the current business rules. the proof will be build with sis reading

  Parameters:
    `patient` - `Patient` object , with niss and sis card number filled out.
  Returns:
    `PutTherapeuticLinkRequest`
  Throws:
    `TechnicalConnectorException` - if there is a technical error
    `TherLinkBusinessConnectorException` - if there is a therapeutic link specific business error
    `InstantiationException` - if the config could not be read correctly

### createDefaultTherapeuticLinkWithIsiReading

    public static PutTherapeuticLinkRequest createDefaultTherapeuticLinkWithIsiReading(Patient patient)
                                                                                throws TherLinkBusinessConnectorException,
                                                                                       TechnicalConnectorException,
                                                                                       InstantiationException

  Creates a new `PutTherapeuticLinkRequest`, it will use the info from the enduser in the current session. It requires an active session. you will need to provide a patient object with a filled niss number and isi+ card number. default link type is gpconsultation default hcParty info are read from current active session default start date is current date the end date will be calculated by the webservice depending on the current business rules. the proof will be build with isi card reading

  Parameters:
    `patient` - `Patient` object , with niss and sis card number filled out.
  Returns:
    `PutTherapeuticLinkRequest`
  Throws:
    `TechnicalConnectorException` - if there is a technical error
    `TherLinkBusinessConnectorException` - if there is a therapeutic link specific business error
    `InstantiationException` - if the config could not be read correctly

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.